Package com.enonic.xp.schema.content

## Class ContentTypes

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntityList<ContentType>
  - - com.enonic.xp.schema.content.ContentTypes

- All Implemented Interfaces:
    `Iterable<ContentType>`

      @PublicApi
      public final class ContentTypes
      extends AbstractImmutableEntityList<ContentType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentTypes.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `list`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentTypes` | `add​(ContentType... contentTypes)` | Deprecated.
    `ContentTypes` | `add​(Iterable<ContentType> contentTypes)` | Deprecated.
    `static ContentTypes.Builder` | `create()` |
    `static ContentTypes` | `empty()` |
    `ContentTypes` | `filter​(Predicate<ContentType> filter)` | Deprecated.
    `static ContentTypes` | `from​(ContentType... contentTypes)` |
    `static ContentTypes` | `from​(Iterable<? extends ContentType> contentTypes)` |
    `static ContentTypes` | `from​(Collection<? extends ContentType> contentTypes)` |
    `static ContentTypes` | `from​(Iterator<? extends ContentType> contentTypes)` |
    `ContentType` | `getContentType​(ContentTypeName contentTypeName)` | Deprecated.
    `ImmutableSet<ContentTypeName>` | `getNames()` | Deprecated.

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `contains, equals, first, get, getList, getSize, hashCode, isEmpty, isNotEmpty, iterator, last, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### add

          @Deprecated
          public ContentTypes add​(ContentType... contentTypes)

      Deprecated.

    - #### add

          @Deprecated
          public ContentTypes add​(Iterable<ContentType> contentTypes)

      Deprecated.

    - #### getNames

          @Deprecated
          public ImmutableSet<ContentTypeName> getNames()

      Deprecated.

    - #### getContentType

          @Deprecated
          public ContentType getContentType​(ContentTypeName contentTypeName)

      Deprecated.

    - #### filter

          @Deprecated
          public ContentTypes filter​(Predicate<ContentType> filter)

      Deprecated.

    - #### empty

          public static ContentTypes empty()

    - #### from

          public static ContentTypes from​(ContentType... contentTypes)

    - #### from

          public static ContentTypes from​(Iterable<? extends ContentType> contentTypes)

    - #### from

          public static ContentTypes from​(Iterator<? extends ContentType> contentTypes)

    - #### from

          public static ContentTypes from​(Collection<? extends ContentType> contentTypes)

    - #### create

          public static ContentTypes.Builder create()